%define major          1
%define libchromaprint %mklibname %{name} %{major}
%define develname      %mklibname %{name} -d

Name:           chromaprint
Version:        1.5.0
Release:        %mkrel 1
Summary:        Library implementing the AcoustID fingerprinting

Group:          System/Libraries
License:        LGPLv2+
URL:            http://www.acoustid.org/chromaprint
Source:         https://github.com/acoustid/chromaprint/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  fftw-devel >= 3
BuildRequires:  ffmpeg-devel
BuildRequires:  pkgconfig(taglib)
Provides:       chromaprint-tools
Obsoletes:      chromaprint-tools

%description
Chromaprint library is the core component of the AcoustID project. It's a
client-side library that implements a custom algorithm for extracting
fingerprints from raw audio sources.

The library exposes a simple C API. The documentation for the C API can be
found in the main header file.

%package -n     %{libchromaprint}
Summary:        Library implementing the AcoustID fingerprinting
Group:          System/Libraries

%description -n %{libchromaprint}
Chromaprint library is the core component of the AcoustID project. It's a
client-side library that implements a custom algorithm for extracting
fingerprints from raw audio sources.

The library exposes a simple C API. The documentation for the C API can be
found in the main header file.

%package -n     %{develname}
Summary:        Headers for developing programs that will use %{name}
Group:          Development/C
Requires:       %{libchromaprint} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q -n %{name}-v%{version}
%autopatch -p1

%build
%cmake -DBUILD_TOOLS=ON
%cmake_build

%install
%cmake_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%{_bindir}/fpcalc

%files -n %{libchromaprint}
%doc NEWS.txt README.md
%license LICENSE.md
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/chromaprint.h
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Nov 03 2020 joequant <joequant> 1.5.0-1.mga8
+ Revision: 1641919
- update to 1.5.0

* Wed Feb 12 2020 umeabot <umeabot> 1.4.3-4.mga8
+ Revision: 1511302
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Sep 22 2018 umeabot <umeabot> 1.4.3-3.mga7
+ Revision: 1296144
- Mageia 7 Mass Rebuild

* Thu Apr 26 2018 daviddavid <daviddavid> 1.4.3-2.mga7
+ Revision: 1222554
- rebuild for new ffmpeg 4.0

* Fri Mar 23 2018 kekepower <kekepower> 1.4.3-1.mga7
+ Revision: 1211722
- Update to version 1.4.3
- Updated Source0 URL

* Sun Jul 23 2017 daviddavid <daviddavid> 1.4.2-1.mga7
+ Revision: 1129338
- new version: 1.4.2

* Tue May 02 2017 akien <akien> 1.3.2-3.mga6
+ Revision: 1098273
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 1.3.2-2.mga6
+ Revision: 1089845
- Rebuild for ffmpeg 3.2.4

* Sun Jan 01 2017 luigiwalser <luigiwalser> 1.3.2-1.mga6
+ Revision: 1079355
- 1.3.2

* Thu Feb 11 2016 gw666 <gw666> 1.3.1-1.mga6
+ Revision: 954452
- bump major
- new version

* Mon Feb 08 2016 umeabot <umeabot> 1.3-2.mga6
+ Revision: 950659
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 gw666 <gw666> 1.3-1.mga6
+ Revision: 936981
- new version

* Fri Nov 14 2014 cjw <cjw> 1.2-5.mga5
+ Revision: 796939
- rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 1.2-4.mga5
+ Revision: 748176
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 1.2-3.mga5
+ Revision: 693598
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.2-2.mga5
+ Revision: 678386
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 gw666 <gw666> 1.2-1.mga5
+ Revision: 668599
- new version
- update doc file list

* Thu Feb 13 2014 gw666 <gw666> 1.1-2.mga5
+ Revision: 590381
- obsolete the chromaprint-tools package containing just fpcalc

* Sat Dec 07 2013 bersuit <bersuit> 1.1-1.mga4
+ Revision: 555827
- Update to new upstream version 1.1

* Sat Oct 19 2013 umeabot <umeabot> 1.0-2.mga4
+ Revision: 534176
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 gw666 <gw666> 1.0-1.mga4
+ Revision: 476347
- new version
- fix source URL
- drop patch

* Thu Jul 11 2013 fwang <fwang> 0.7-7.mga4
+ Revision: 452814
- more patch on ffmpeg
- rebuild for new ffmpeg

* Thu Apr 11 2013 gw666 <gw666> 0.7-6.mga3
+ Revision: 409701
- fix fpcalc (bug #9705)

* Fri Jan 11 2013 umeabot <umeabot> 0.7-5.mga3
+ Revision: 347712
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 0.7-4.mga3
+ Revision: 341589
- rebuild for new ffmpeg

* Thu Oct 25 2012 fwang <fwang> 0.7-3.mga3
+ Revision: 310028
- cleanup spec

* Mon Oct 22 2012 gw666 <gw666> 0.7-2.mga3
+ Revision: 309153
- enable build of fpcalc (used by picard)

* Tue Sep 25 2012 juancho <juancho> 0.7-1.mga3
+ Revision: 297418
- Updated to 0.7

* Wed Jun 06 2012 juancho <juancho> 0.6-2.mga3
+ Revision: 256035
- Fixed typo in %%mklibname call
- Fixed Requires for devel package
- Added Provides chromaprint-devel to devel package

* Tue Jun 05 2012 juancho <juancho> 0.6-1.mga3
+ Revision: 255975
- Fixed misspelled library macro name
- Fixed group for devel package
- Removed unneeded Obsoletes
- imported package chromaprint

